=== debian/control ===
Source: ros-indigo-topic-tools
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin (>= 0.5.78), ros-indigo-cpp-common, ros-indigo-message-generation, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rostest, ros-indigo-rostime, ros-indigo-rosunit, ros-indigo-std-msgs, ros-indigo-xmlrpcpp
Homepage: http://ros.org/wiki/topic_tools
Standards-Version: 3.9.2

Package: ros-indigo-topic-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-rostime, ros-indigo-std-msgs, ros-indigo-xmlrpcpp
Description: Tools for directing, throttling, selecting, and otherwise messing with ROS topics at a meta level.
 None of the programs in this package actually know about the topics whose streams they are altering; instead, these tools deal with messages as generic binary blobs. This means they can be applied to any ROS topic.
